Subject: bug#36803: 27.0.50; Update mode-line of every window when compilation ends

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Jul 2019 18:08:57 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 26 Jul 2019 09:59:39 -0400
> 
> > Stefan, I'm looking and looking, and don't understand why that change
> > made sense.  The process-status indication in the mode line is shown
> > in all windows, so status_notify is exactly the place where we should
> > trigger update of all mode lines.
> 
> Hmm... AFAIK the "process status" normally only indicates the status of
> the process running in the buffer to which this mode line belongs.
> Which is why I made the change to only bset_update_mode_line rather than
> set the global update_mode_lines.

So you are saying that there's a redisplay bug, whereby some windows
that display a buffer don't have their mode line updated in the recipe
of this bug report?

> Additionally, in this particular case, the need to update all mode-lines
> doesn't come from the fact that a sentinel was run, but from the fact
> that compilation-in-progress was modified, which can (and does) also
> happen when no sentinel is run.  So I think TRT is something like the
> patch below.

force-mode-line-update with a non-nil argument affects all the
windows, even those which don't show the process status.  So why are
you saying it's TRT in this case?  Or are you talking about some other
issue?